﻿(function ($) {
    $.ig = $.ig || {};

    $.ui.igReportViewer = $.ui.igReportViewer || {};

    if (!$.ui.igReportViewer.locale) {
        
        $.extend($.ui.igReportViewer, {

            locale: {
                unsupportedBrowser: "現在のブラウザーは HTML5 canvas 要素をサポートしません。<br/>以下のバージョンへアップグレードしてください。",
                currentBrowser: "現在のブラウザー: {0}",
                ie9: "Microsoft Internet Explorer V 9+",
                chrome8: "Google Chrome V 8+",
                firefox36: "Mozilla Firefox V 3.6+",
                safari5: "Apple Safari V 5+",
                opera11: "Opera V 11+",
                ieDownload: "http://windows.microsoft.com/ja-JP/internet-explorer/products/ie/home",
                operaDownload: "http://www.opera.com/download/",
                chromeDownload: "http://www.google.com/chrome",
                firefoxDownload: "http://www.mozilla.com/",
                safariDownload: "http://www.apple.com/jp/safari/download/",
                reportHasNotFinishedLoadingErrorMsg: "この操作には、読み込みが完了したレポート ビュアーが必要です。",
                serverConnectionErrorMsg: "レポート サーバーへの接続を確立できません。",
                loadingReportMsg: "レポートを読み込んでいます...",
                loadingPageMsg: "ページを読み込んでいます...",
                totalPagesLabel: "/ {0}",
                firstPageButtonLabel: "先頭ページ",
                previousPageButtonLabel: "前のページ",
                nextPageButtonLabel: "次ページ",
                lastPageButtonLabel: "最終ページ",
                exportButtonLabel: "エクスポート",
                printButtonLabel: "印刷",
                refreshButtonLabel: "更新",
                exportingLabel: "エクスポート中...",
                printingLabel: "印刷...",
                cancelExportLabel: "キャンセル",
                cancelPrintLabel: "キャンセル",
                pdfFormatText: "PDF",
                xpsFormatText: "XPS",
                xlsFormatText: "Excel 2003",
                xlsxFormatText: "Excel 2007",
                exportInProgressErrorMsg: "別のエクスポートの処理中です。cancelExport() メソッドを呼び出し、ExportCanceled イベントを待ってからエクスポートしてください。",
                printInProgressErrorMsg: "別の印刷ジョブの処理中です。cancelPrint() メソッドを呼び出し、PrintFinished イベントを待ってから印刷してください。",
                invalidExportFormat: "無効なエクスポート形式。有効な形式: PDF、XLS、XLSX 、XPS。Apple デバイスで XPS は無効です。",
                zoomButtonLabel: "ズーム",
                zoomInButtonLabel: "ズームイン",
                zoomOutButtonLabel: "ズームアウト",
                fitToPageButtonLabel: "ページに合わせる",
                fitToWidthButtonLabel: "幅に合わせる",
                acrobatPluginNotFoundErrorMsg: 'Adobe Acrobat プラグインが見つかりません。',
                previousButtonLabel: "戻る",
                nextButtonLabel: "次へ"
            }
        });

        $.ig.ReportServiceProxy = $.ig.ReportServiceProxy || {};

        $.extend($.ig.ReportServiceProxy, {

            locale: {
                serverConnectionErrorMsg: "レポート サーバーへの接続を確立できません。",
                unknownReportServerErrorMsg: "不明なレポート サーバー エラー",
            }
        });

        $.ui.igReportViewerError = $.ui.igReportViewerError || {};

        $.extend($.ui.igReportViewerError, {

            locale: {
                showDetails: "詳細の表示",
                hideDetails: "詳細の非表示",
                close: "閉じる"
            }
        });
        
    }

} (jQuery));
